build status coverage report Codacy Badge

justimmo

Ruby wrapper for the Justimmo REST API.

Dependencies

  • Ruby 2.3+

Installation

Add this line to your application's Gemfile:

gem 'justimmo'

And then execute:

$ bundle

Or install it yourself as:

$ gem install justimmo

Usage

require 'justimmo'

Justimmo.configure do |config|
  config.username = 'your-username'
  config.password = 'your_password'
end

Justimmo::Realty.list(filter: { zip_code: 6020 }, limit: 5)

Development

After checking out the repo, run bin/setup to install dependencies. Then, run rake spec to run the tests. You can also run bin/console for an interactive prompt that will allow you to experiment.

Contributing

Bug reports and merge requests are welcome on GitLab.

License

The gem is available as open source under the terms of the MIT License.

Check the LICENSE file for more information.